Subject: Re: [Detnet] [Gen-art] Genart last call review of draft-ietf-detnet-ip-05

From: Alissa Cooper <[email-masked]>
Date: Wed, 24 Jun 2020 15:58:37 -0400

Roni, thanks for your review. David, thanks for your response. I entered a No Objection ballot.

Alissa

> On Mar 10, 2020, at 4:40 AM, Roni Even (A) <[email-masked]> wrote:
> 
> Hi David,
> Thanks, the new text is clearer
> Roni
> 
>> -----Original Message-----
>> From: Gen-art [mailto:[email-masked]] On Behalf Of Black, David
>> Sent: Tuesday, March 10, 2020 1:20 AM
>> To: Roni Even; [email-masked]
>> Cc: Black, David; [email-masked]; [email-masked]; draft-ietf-detnet-
>> [email-masked]
>> Subject: Re: [Gen-art] [Detnet] Genart last call review of draft-ietf-detnet-ip-05
>> 
>> Hi Roni,
>> 
>> Inline ...
>> 
>> Thanks, --David
>> 
>>> -----Original Message-----
>>> From: detnet <[email-masked]> On Behalf Of Roni Even via
>>> Datatracker
>>> Sent: Monday, March 9, 2020 10:44 AM
>>> To: [email-masked]
>>> Cc: [email-masked]; [email-masked];
>>> [email-masked]
>>> Subject: [Detnet] Genart last call review of draft-ietf-detnet-ip-05
>>> 
>>> 
>>> [EXTERNAL EMAIL]
>>> 
>>> Reviewer: Roni Even
>>> Review result: Ready with Nits
>>> 
>>> I am the assigned Gen-ART reviewer for this draft. The General Area
>>> Review Team (Gen-ART) reviews all IETF documents being processed by
>>> the IESG for the IETF Chair.  Please treat these comments just like
>>> any other last call comments.
>>> 
>>> For more information, please see the FAQ at
>>> 
>>> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>>> 
>>> Document: draft-ietf-detnet-ip-??
>>> Reviewer: Roni Even
>>> Review Date: 2020-03-09
>>> IETF LC End Date: 2020-03-13
>>> IESG Telechat date: Not scheduled for a telechat
>>> 
>>> Summary: The document is ready for publication as a standard track RFC
>>> with nits
>>> 
>>> Major issues:
>>> 
>>> Minor issues:
>>> 
>>> Nits/editorial comments:
>>> 
>>> 1. In section 3 the paragraph before the last one " the appropriate
>>> DetNet flow-specific information and ensures that the receives the
>>> proper traffic treatment within the domain", looks to me that it
>>> should be "that the flow receives ..."
>> [David>] That looks like what was intended.
>> 
>>> 
>>> 2.  In section 6  I could not parse the second level bullet "When the
>>> DSCP field is used in flow identification, a list of field values that
>>> may be used by a specific flow."
>> [David>] The text after the comma is intended to describe the management and
>> control information used to identify the flow, referring back to the DSCP field.
>> 
>> As I'm responsible for this DSCP list "thorn" in the WG's "side" ;-), here's a
>> suggestion to improve clarity:
>> 
>> OLD
>>      *  If the DSCP field is to be used in flow identification.
>>         Ignoring the DSCP filed is optional.
>> 
>>      *  When the DSCP field is used in flow identification, a list of
>>         field values that may be used by a specific flow.
>> NEW
>>      *  Whether or not the DSCP field is used in flow identification.
>>          Use of the DSCP field for flow identification is optional.
>> 
>>      *  If the DSCP field is used to identify a flow, then the flow
>>          identification information (for that flow) includes a list of
>>          DSCPs used by that flow.
>> 
>> I took out "that may be used" as including too much detail - that text covers
>> situations where not all of the DSCP values are actually used, e.g., there could be
>> 5 possible DSCP values for a flow, but only 2 of them occur in actual packets.
>> That's not particularly important here, as the logic that determines whether or
>> not a packet is part of that flow has to match on all 5 possible DSCP values.
>> 
>>> 
>>> 
>>> 
>>> _______________________________________________
>>> detnet mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/detnet
>> 
>> _______________________________________________
>> Gen-art mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/gen-art
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art